Bug 462903 - nx user account is disabled on install
nx user account is disabled on install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: freenx-server (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-19 11:47 EDT by Mostafa Afgani
Modified: 2009-07-31 13:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:02:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mostafa Afgani 2008-09-19 11:47:53 EDT
Description of problem:
The 'nx' user account used by FreeNX is locked by default on install and must be unlocked and have a password set before any clients can connect.


Version-Release number of selected component (if applicable):
freenx-server-0.7.3-11.fc9.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install nx and freenx via yum
2. Try to connect using a nx-client or local ssh-client
3.
  
Actual results:
Connection fails

Expected results:
Connection is successful

Additional info:
On a fresh install of nx and freenx, connection attempts produce the following is /var/log/secure

Sep 19 16:12:13 localhost sshd[19178]: Server listening on 0.0.0.0 port 22.
Sep 19 16:12:13 localhost sshd[19178]: Server listening on :: port 22.
Sep 19 16:12:20 localhost sshd[19187]: User nx not allowed because account is locked
Sep 19 16:12:20 localhost sshd[19188]: input_userauth_request: invalid user nx
Sep 19 16:12:24 localhost sshd[19187]: Failed none for invalid user nx from 127.0.0.1 port 49807 ssh2
Sep 19 16:12:25 localhost sshd[19188]: Connection closed by 127.0.0.1

Setting a password on the 'nx' account and unlocking it allows connections as expected.

SELinux must also be set to Permissive because of bug 379581.
Comment 1 Michael Ploujnikov 2009-05-15 10:14:06 EDT
Setting a password is not necessary as per https://bugzilla.redhat.com/show_bug.cgi?id=475940#c3 . I did have SELinux set to permissive so everything worked "out of the box" for me (other than copying keys).
Comment 2 Luke Hutchison 2009-06-05 02:19:02 EDT
This may be the same as Bug 379581 -- try disabling SELinux on the server.
Comment 3 Bug Zapper 2009-06-09 22:45:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 10:02:46 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.